package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * ApSsidWlansOpenApiV2Vo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ApSsidWlansOpenApiV2Vo   {
  @JsonProperty("ssidOverrides")
  @Valid
  private List<SsidOverrideConfigOpenApiV2Vo> ssidOverrides = new ArrayList<>();

  public ApSsidWlansOpenApiV2Vo ssidOverrides(List<SsidOverrideConfigOpenApiV2Vo> ssidOverrides) {
    this.ssidOverrides = ssidOverrides;
    return this;
  }

  public ApSsidWlansOpenApiV2Vo addSsidOverridesItem(SsidOverrideConfigOpenApiV2Vo ssidOverridesItem) {
    this.ssidOverrides.add(ssidOverridesItem);
    return this;
  }

  /**
   * SsidOverride Config List
   * @return ssidOverrides
  */
  @ApiModelProperty(required = true, value = "SsidOverride Config List")
  @NotNull

  @Valid

  public List<SsidOverrideConfigOpenApiV2Vo> getSsidOverrides() {
    return ssidOverrides;
  }

  public void setSsidOverrides(List<SsidOverrideConfigOpenApiV2Vo> ssidOverrides) {
    this.ssidOverrides = ssidOverrides;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApSsidWlansOpenApiV2Vo apSsidWlansOpenApiV2Vo = (ApSsidWlansOpenApiV2Vo) o;
    return Objects.equals(this.ssidOverrides, apSsidWlansOpenApiV2Vo.ssidOverrides);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ssidOverrides);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApSsidWlansOpenApiV2Vo {\n");
    
    sb.append("    ssidOverrides: ").append(toIndentedString(ssidOverrides)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

